## ros-eloquent-plansys2-msgs 0.0.17

=== CMakeLists.txt ===
project(plansys2_msgs)

cmake_minimum_required(VERSION 3.5)

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)
find_package(action_msgs REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  "srv/GetDomain.srv"
  "srv/GetDomainTypes.srv"
  "srv/GetDomainPredicates.srv"
  "srv/GetDomainPredicateDetails.srv"
  "srv/GetDomainActions.srv"
  "srv/GetDomainActionDetails.srv"
  "srv/GetProblem.srv"
  "srv/GetProblemInstances.srv"
  "srv/GetProblemInstanceDetails.srv"
  "srv/GetProblemPredicates.srv"
  "srv/GetProblemPredicateDetails.srv"
  "srv/GetProblemGoal.srv"
  "srv/AddProblemGoal.srv"
  "srv/AddProblemInstance.srv"
  "srv/AddProblemPredicate.srv"
  "srv/RemoveProblemGoal.srv"
  "srv/RemoveProblemInstance.srv"
  "srv/RemoveProblemPredicate.srv"
  "srv/ExistProblemPredicate.srv"
  "srv/GetPlan.srv"
  "action/ExecutePlan.action"
  "action/ExecuteAction.action" 
  DEPENDENCIES builtin_interfaces std_msgs action_msgs
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-eloquent-plansys2-msgs (0.0.17-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 11 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-msgs (0.0.16-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 11 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-msgs (0.0.15-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 09 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-msgs (0.0.14-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 07 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-msgs (0.0.13-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 05 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-msgs (0.0.12-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 26 Jul 2020 00:00:00 -0000

ros-eloquent-plansys2-msgs (0.0.11-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 25 Jul 2020 00:00:00 -0000

ros-eloquent-plansys2-msgs (0.0.10-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 19 Jul 2020 00:00:00 -0000

ros-eloquent-plansys2-msgs (0.0.9-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 06 Jul 2020 00:00:00 -0000

ros-eloquent-plansys2-msgs (0.0.8-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 26 Jun 2020 00:00:00 -0000

ros-eloquent-plansys2-msgs (0.0.7-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 26 Mar 2020 00:00:00 -0000

ros-eloquent-plansys2-msgs (0.0.6-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 23 Mar 2020 00:00:00 -0000

ros-eloquent-plansys2-msgs (0.0.5-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 12 Jan 2020 00:00:00 -0000

ros-eloquent-plansys2-msgs (0.0.4-1bionic) bionic; urgency=high

  * Adding missing action dependencies
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 09 Jan 2020 00:00:00 -0000

ros-eloquent-plansys2-msgs (0.0.3-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 09 Jan 2020 00:00:00 -0000

ros-eloquent-plansys2-msgs (0.0.2-1bionic) bionic; urgency=high

  * Packages.xml description
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Setting CI
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Change to lowercasegit
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Executor initial version
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * First version of planner complete
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Problem expert client and node
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Domain types and messages changed
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Predicate Tree and types changed
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * First version of domain expert
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 08 Jan 2020 00:00:00 -0000

=== debian/control ===
Source: ros-eloquent-plansys2-msgs
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-action-msgs, ros-eloquent-ament-cmake, ros-eloquent-builtin-interfaces, ros-eloquent-rclcpp, ros-eloquent-rosidl-default-generators, ros-eloquent-std-msgs, ros-eloquent-ros-workspace, ros-eloquent-rosidl-typesupport-connext-c, ros-eloquent-rosidl-typesupport-connext-cpp, ros-eloquent-rosidl-typesupport-fastrtps-c, ros-eloquent-rosidl-typesupport-fastrtps-cpp, ros-eloquent-rmw-connext-cpp, ros-eloquent-rmw-fastrtps-cpp, ros-eloquent-rmw-implementation, ros-eloquent-rmw-opensplice-cpp, ros-eloquent-rosidl-typesupport-opensplice-c, ros-eloquent-rosidl-typesupport-opensplice-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-plansys2-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-action-msgs, ros-eloquent-builtin-interfaces, ros-eloquent-rclcpp, ros-eloquent-rosidl-default-generators, ros-eloquent-std-msgs, ros-eloquent-ros-workspace
Description: Messages and service files for the ROS2 Planning System

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-plansys2-msgs//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
